# Interface SplatData

interface SplatData {
colors: Uint8Array;
numPoints: number;
positions: Float32Array;
rotations: Float32Array;
scales: Float32Array;
sh1?: Float32Array<ArrayBufferLike>;
sh2?: Float32Array<ArrayBufferLike>;
sh3?: Float32Array<ArrayBufferLike>;
shDegree?: number;
}

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:5

##### Index

### Properties

colors
numPoints
positions
rotations
scales
sh1?
sh2?
sh3?
shDegree?

## Properties

### colors

colors: Uint8Array

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:8

### numPoints

numPoints: number

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:6

### positions

positions: Float32Array

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:7

### rotations

rotations: Float32Array

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:10

### scales

scales: Float32Array

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:9

### `Optional` sh1

sh1?: Float32Array<ArrayBufferLike>

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:11

### `Optional` sh2

sh2?: Float32Array<ArrayBufferLike>

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:12

### `Optional` sh3

sh3?: Float32Array<ArrayBufferLike>

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:13

### `Optional` shDegree

shDegree?: number

- Defined in lib/five/model/objects/pbmGaussianSplattingObject.ts:14